Subject: Re: bug#1705: 23.0.60; parallel build failure: `mh-e' was not provided

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Jan 2009 23:12:58 -0500

>> This won't solve it in general, because there are many circular
>> dependencies among Elisp files.  Another approach is to just close the
>> race condition: write the byte-compiled file to foo.elc.temp and then
>> rename it atomically to foo.elc.
> But adding dependencies is TRT on its own right,

Personally, I've hacked my Emacs so that when byte-compiling files,
`require'd files get loaded from the .el in preference to the .elc file
if it's more recent.

        Stefan